package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class RiwayatJabatanVO extends BaseTransactionVO {

	@ManyToOne
	@Caption(value = "ID Pegawai")
	private PegawaiVO pegawai;

	private Integer pegawaiId;

	@Caption(value = "Nama Jabatan")
	private String namaJabatan;

	@Caption(value = "No SK")
	private String noSK;

	@Caption(value = "Tanggal SK")
	private Date tglSK;

	@Caption(value = "Tanda Tangan SK")
	private String ttdSK;

	@Caption(value = "Keterangan")
	private String keterangan;

	@ManyToOne
	@Caption(value = "ID Jabatan Pegawai")
	private JabatanVO jabatan;

	private Integer jabatanId;

	@Caption(value = "Tertanda Pegawai SK")
	private String ttdPegawaiSk;

	@Caption(value = "Tertanda Pegawai SK")
	private String ttdJabatanSk;

	@Caption(value = "Sumber Data")
	private Integer sumberData;

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public String getNamaJabatan() {
		return namaJabatan;
	}

	public void setNamaJabatan(String namaJabatan) {
		this.namaJabatan = namaJabatan;
	}

	public String getNoSK() {
		return noSK;
	}

	public void setNoSK(String noSK) {
		this.noSK = noSK;
	}

	public Date getTglSK() {
		return tglSK;
	}

	public void setTglSK(Date tglSK) {
		this.tglSK = tglSK;
	}

	public String getTtdSK() {
		return ttdSK;
	}

	public void setTtdSK(String ttdSK) {
		this.ttdSK = ttdSK;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public JabatanVO getJabatan() {
		return jabatan;
	}

	public void setJabatan(JabatanVO jabatan) {
		this.jabatan = jabatan;
	}

	public Integer getJabatanId() {
		return jabatanId;
	}

	public void setJabatanId(Integer jabatanId) {
		this.jabatanId = jabatanId;
	}

	public String getTtdPegawaiSk() {
		return ttdPegawaiSk;
	}

	public void setTtdPegawaiSk(String ttdPegawaiSk) {
		this.ttdPegawaiSk = ttdPegawaiSk;
	}

	public String getTtdJabatanSk() {
		return ttdJabatanSk;
	}

	public void setTtdJabatanSk(String ttdJabatanSk) {
		this.ttdJabatanSk = ttdJabatanSk;
	}

	public Integer getSumberData() {
		return sumberData;
	}

	public void setSumberData(Integer sumberData) {
		this.sumberData = sumberData;
	}

}